Number::Phone::Formatter::National(3pm)

NAME
Number::Phone::Formatter::National - formatter for nationally-formatted phone number

DESCRIPTION
A formatter to output the number in its national format.

METHOD

  format
This is the only method. It takes an E.123 international format string and a Number::Phone object, and outputs the nationally-formatted number.

  +1 212 334 0611 -> 212-334-0611

Note that this uses data derived from libphonenumber, and if your object is not derived from that it will first create a temporary object. This may involve a small unexpected performance hit.

AUTHOR, COPYRIGHT and LICENCE
Copyright 2018 Matthew Somerville <matthew-github@dracos.co.uk>

This software is free-as-in-speech software, and may be used, distributed, and modified under the terms of either the GNU General Public Licence version 2 or the Artistic Licence. It's up to you which one you use. The full text of the licences can be found in the files GPL2.txt and ARTISTIC.txt, respectively.